Lists the contacts found on the case's devices, optionally filtered by device or conversation, or searched by text.
Query parameters
-
Default value is
1. -
Default value is
10. -
If skip/limit not provided, page/perPage will take precedence
-
If skip/limit not provided, page/perPage will take precedence
-
Values are
ascordesc. Default value isasc. -
Minimum length is
3, maximum length is100. -
Values are
createdAt,updatedAt, orname. Default value isname.
GET
/case/contacts/{orgId}/case/{caseId}
curl \
--request GET 'http://api.example.com/case/contacts/{orgId}/case/{caseId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "organization: string"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"fullName": "Jane Doe",
"firstName": "Jane",
"lastName": "Doe",
"originalFullName": "Jane Doe",
"email": "jane.doe@example.com",
"address": "1 Main St, New York, NY",
"phone": [
"+15555550100"
],
"phoneNational": [
"(555) 555-0100"
],
"source": "default",
"linkedContacts": [
{}
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"device": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"deviceId": "3F2504E0-4F89-11D3-9A0C-0305E82C3301",
"serialNumber": "F2LXK0QJHG7F",
"name": "Jane's iPhone",
"type": "ios",
"nonDeviceType": "string",
"model": "iPhone 15",
"timeZone": "America/New_York",
"osVersion": "18.0",
"owner": {},
"devicePhoneNumber": "+15555550100",
"organizations": [
"507f1f77bcf86cd799439011"
],
"extractionCodes": [
"507f1f77bcf86cd799439013"
],
"availableData": {
"messages": true,
"calls": false
}
},
"owner": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone": [
"+15555550100"
],
"isActive": true,
"isEmailVerified": true,
"lastActive": "2026-01-15T14:30:00.000Z",
"roles": [
"user"
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"onboardingStatus": "completed",
"userType": "attorney",
"firstName": "Jane",
"lastName": "Doe",
"initials": "JD",
"userOrganizations": [
{}
]
},
"initials": "JD",
"conversations": [
"507f1f77bcf86cd799439014"
],
"isEdited": false
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}